#include "stm32f4xx_hal.h"
#include "user_def.h"

uint16_t cus_Size_of(char *cus_str)
{
	uint16_t cnt_rtn=0;
	
	while(cus_str[cnt_rtn++] != 0);

	return (cnt_rtn-1);
}

void par_ReAssemble(uint8_t *par_data,uint16_t cnt_data)
{
	uint16_t i;
	
	for (i=0;i<cnt_data;i++)
	{
		// DATA[7:2] : PA15,14,13,12,11,10
		GPIOA->ODR = (((uint32_t)par_data[i]) << 8)&0xFC00;
		// DATA[1:0] : PC7,6
		GPIOC->ODR = (((uint32_t)par_data[i]) << 6)&0x00C0;
		
		//HAL_GPIO_WritePin(GPIOB, GPIO_PIN_5,GPIO_PIN_SET);
		//HAL_GPIO_WritePin(GPIOB, GPIO_PIN_5,GPIO_PIN_RESET);
		GPIOB->BSRR = GPIO_PIN_5;
		GPIOB->BSRR = (GPIO_PIN_5<<16);
	}
}

